View Issue Details

IDProjectCategoryView StatusLast Update
0005963DarkRadiantRendererpublic02.06.2022 07:56
ReporterAluminumHaste Assigned Togreebo  
PrioritynormalSeveritynormalReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.0.0 
Target Version3.0.0Fixed in Version3.0.0 
Summary0005963: More Geometry Corruption in Camera View (Lighting Mode)
Descriptionsee https://forums.thedarkmod.com/index.php?/topic/21361-darkradiant-300-pre-release-test/page/3/#comment-473778

Doesn't happen right away, I have to move around in the 3d view and it gets worse and worse.
TagsNo tags attached.

Relationships

related to 0005959 resolvedgreebo Geometry Corruption / weird diagonal lines messing up the view 

Activities

There are no notes attached to this issue.

Related Changesets

DarkRadiant: master 9ec3f1c1

2022-05-20 16:13:07

greebo

Details Diff
0005963: Increase the operation count threshold a bit when syncing buffers, editing a few patch vertices will be faster this way Affected Issues
0005963
mod - libs/render/ContinuousBuffer.h Diff File

DarkRadiant: master beb25cc3

2022-05-29 04:57:01

greebo

Details Diff
0005963: Notify winding groups when the vertex storage location has been reassigned, otherwise their index remaps end up pointing at the wrong vertex storage. Affected Issues
0005963
mod - radiantcore/rendersystem/backend/WindingRenderer.h Diff File

DarkRadiant: master e8647333

2022-05-29 05:03:56

greebo

Details Diff
0005963: WindingRenderer refers to the interface header Affected Issues
0005963
mod - radiantcore/rendersystem/OpenGLRenderSystem.h Diff File
mod - radiantcore/rendersystem/backend/WindingRenderer.h Diff File

DarkRadiant: master 4630ab7b

2022-05-29 05:06:41

greebo

Details Diff
0005963: Move backend WindingRenderer implementation to libs/render Affected Issues
0005963
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: master b14e0c7c

2022-05-29 05:14:41

greebo

Details Diff
0005963: Start working on WindingRenderer unit tests Affected Issues
0005963
mod - test/Entity.cpp Diff File
mod - test/GeometryStore.cpp Diff File
mod - test/WindingRendering.cpp Diff File
mod - test/algorithm/Entity.h Diff File
add - test/testutil/RenderUtils.h Diff File
add - test/testutil/TestObjectRenderer.h Diff File
add - test/testutil/TestSyncObjectProvider.h Diff File
mod - tools/msvc/Tests/Tests.vcxproj Diff File
mod - tools/msvc/Tests/Tests.vcxproj.filters Diff File

DarkRadiant: master 19ec453f

2022-05-29 06:18:05

greebo

Details Diff
0005963: Test the entity surfaces creation by the WindingRenderer Affected Issues
0005963
mod - libs/render/WindingRenderer.h Diff File
mod - test/WindingRendering.cpp Diff File

DarkRadiant: master 34723bdb

2022-06-02 07:56:00

greebo

Details Diff
0005963: Add unit test covering the fixed behaviour Affected Issues
0005963
mod - test/GeometryStore.cpp Diff File
mod - test/WindingRendering.cpp Diff File

Issue History

Date Modified Username Field Change
17.05.2022 11:56 greebo New Issue
17.05.2022 11:56 greebo Relationship added related to 0005959
17.05.2022 11:57 greebo Status new => acknowledged
19.05.2022 15:27 greebo Status acknowledged => confirmed
19.05.2022 15:27 greebo Assigned To => greebo
19.05.2022 15:27 greebo Status confirmed => assigned
19.05.2022 15:27 greebo Reporter greebo => AluminumHaste
21.05.2022 04:22 greebo Summary More Geometry Corruption in Camera View => More Geometry Corruption in Camera View (Lighting Mode)
02.06.2022 07:56 greebo Changeset attached => DarkRadiant master 9ec3f1c1
02.06.2022 07:56 greebo Changeset attached => DarkRadiant master beb25cc3
02.06.2022 07:56 greebo Changeset attached => DarkRadiant master e8647333
02.06.2022 07:56 greebo Changeset attached => DarkRadiant master 4630ab7b
02.06.2022 07:56 greebo Changeset attached => DarkRadiant master b14e0c7c
02.06.2022 07:56 greebo Changeset attached => DarkRadiant master 19ec453f
02.06.2022 07:56 greebo Changeset attached => DarkRadiant master 34723bdb
02.06.2022 07:56 greebo Status assigned => resolved
02.06.2022 07:56 greebo Resolution open => fixed
02.06.2022 07:56 greebo Fixed in Version => 3.0.0